2019-12-09 21:25 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000709FSSCPmediaVPpublic2008-01-02 12:30
Reporterthesource2 
Assigned ToDa_Brain 
PrioritynormalSeverityfeatureReproducibilityrandom
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0000709: Ship names on board of ships are drawn incorrectly
DescriptionVery often instead of ship name (like GTCv Monitor,if GTCv Deimos class ship is named Monitor) there is some random color texture on board of ship.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004229

taylor (administrator)

Using updated MediaVPs (newest 3.6.8)? D3D or OpenGL?

~0004230

thesource2 (reporter)

Yes, I use Media VP 3.6.8 with OpenGL. Hadn't test with D3D, testing now.

~0004231

thesource2 (reporter)

In D3D the name is not drawn at all (not even a pixel)

~0004236

taylor (administrator)

Please run a debug build until the problem shows up and then post your fs.log file.

~0004237

thesource2 (reporter)

Here you go: log+screenshot

~0004241

kasperl (developer)

Confirmed on FSO 12/29, OGL, 368MVP beta's of around 31 december, and 2 computers. (WinXP Home, AMD 64 3000+, Radeon 9800Pro on one, and X800 Pro on the other.)

Happened on the Fenris and Levi models too. Basicly, anything that was nameplated but didn't seem to have a nameplate set.

~0004249

taylor (administrator)

Umm, so this happens if the ship *doesn't* have a nameplate set?

I was thinking it was the other way around. It could just be an issue with the default nameplate graphic then so I'll check that. I haven't seen this otherwise, but I've only been looking at ships with the new nameplates and texture replacement.

~0004275

taylor (administrator)

Try putting the attached nameplate.dds file in data/effects/ (if mediavps are in a mod dir then put it in moddir/data/effects/) and see if it makes a difference. This will only have an effect if the basic/plain nameplate is the issue. The custom nameplates that get used with texture replacement won't get anything from this.

There are two possible problems (if the basic nameplate is the issue), most of the MediaVP files were converted to DXT3 when most should have been DXT1 or DXT5, and the likely problem is that the basic nameplate in the 3.6.8 VPs is 4x4 but is getting stretched to something considerably larger which could cause strange artifacts to show up.

~0004277

thesource2 (reporter)

Well, there is a difference: nothing is drawn at all now (not even random color texture like before)

~0004279

taylor (administrator)

The basic nameplate is supposed so be blank, so it does actually work. If you did see anything then it would be broken. :) It's only for the ships with have a special nameplate, and with a modified mission file to use the new nameplate, that you actually get the ship name.

This is really just a MediaVP issue then so I'll assign this to WMC and he can either use the nameplate attached here or make the appropriate change to the VPs.

~0004294

kasperl (developer)

Disregard my last comment. I forgot that the MVP 368 betas had the nameplate fix in them.

~0004298

WMCoolmon (developer)

I'm confused...you're using the MVP Delta files, but are still having this problem?

~0004299

thesource2 (reporter)

Aha. Some time earlier when I first played fs2_open with mv 3.6.8 I noticed that names are displayed on corvettes (Actium and Lysander, then Parapet). But I continued to play and eventually this bug started to happen.

~0004302

WMCoolmon (developer)

So this only happens once you've been playing for awhile?

~0004316

thesource2 (reporter)

For the first time I used 3.6.8 vp's all worked fine, but soon this bug appeared and now it is constant.

~0004317

kasperl (developer)

I haven't tested lately, only noticed it during testing on 31-12-2005, with what was then the latest set of files and builds.

~0004321

thesource2 (reporter)

Can you tell me in which pack are nameplates held and what are the names of those files?

~0004347

WMCoolmon (developer)

mv_models, you'll have to open them up individually to be 100% sure, but most of the filenames are pretty obvious. (There's some 40 or so)

You do have to use the HT&L models for them to work though.

~0004679

WMCoolmon (developer)

Is this still an issue with latest builds?

~0004683

ARSPR (reporter)

Last edited: 2006-02-07 05:13

Maybe this info is related with this bug.

Yesterday I was playing Sync with vp 3.6.8 delta and 20060202 build and I noticed that the Terran vessels had strange colours in the place the nameplates would go (this is a no-nameplated campaign).

This evening, (I'm at work), I will check this issue with other no-nameplated campaigns and I will upload a screenshoot of them. I will also try using the "nameplate.dss" Taylor uploaded.

edited on: 02-07-06 05:13

~0004685

ARSPR (reporter)

Last edited: 2006-02-07 10:12

I have just made some tries:

1. With Taylor's nameplate.dss there's no strange colors in campaigns without nameplates.

2. Without Taylor's nameplate.dss, I get these strange colours at least in Sync and Derelict (latest version).

3. The strange colours change in each run, so sometimes they're barely noticeable and sometimes they're very strong.

I upload 3 screenshots (screenshots.rar) from Derelict's "The number of the beast". The first one is with Taylor's nameplate.dss, and the other two are different runs of fs_open without nameplate.dss

edited on: 02-07-06 10:12

~0004766

thesource2 (reporter)

Taylor's nameplates.dds does not solve the problem. Garbage in non-plated campaigns disapears only because this file removes any drawing of nameplates. Try original campaign - you won't see any nameplates where they should be.

~0004767

taylor (administrator)

No, you misunderstand what the problem is. My nameplate.dds replaces the existing nameplate (which is blank) because the one in the MediaVPs is *producing* the artifacts. By default none of the ships (other than the very specific exceptions) include a name on the side of the ship, but they still use blank nameplate on them. Unless the mission is modified to use ship-specific nameplates, and you have the nameplate graphics, you will always use the blank nameplate.dds.

In other words, if you don't see a name specific for that ship, you shouldn't see anything at all. If the mission has a specific nameplate for a ship then nameplate.dds won't be used on it anyway.

~0004797

thesource2 (reporter)

But for now no nameplates are drawn even if they are present for ships. Try original campaign and you'll see.

~0004799

taylor (administrator)

They seem to work fine for me. Which mission and which ships are you seeing a problem with?

~0004800

thesource2 (reporter)

In any mission that has nameplated ships.
Taylor, is there any difference where I place missions of the original campaign or I have to place them directly into mv_models.vp?

~0004801

taylor (administrator)

They just need to be located where they will be found first, over the retail versions of the original missions. That means they will work in mv_models.vp if you want, so long as the retail versions don't exist outside of a VP (disk versions load first). But this is all assuming that the missions you are referring to have been properly modified to use custom nameplates (ie, the ones from the newer 3.6.8 MediaVPs).

If you've got it setup right then you can easily test it with the retail mission "The Sicilian Defense" since the big ship in front of you should have "NTD Vindiactor" printed on the side (you may have to get closer than start position though). If it doesn't then you'll know pretty easily that something isn't right.

~0004802

thesource2 (reporter)

What do you mean "properly modified"? How actually mission files must be modified to support nameplates? You see, I edited some missions to fix some minor bugs. And among them was some of nameplated ones. So I removed missions from mv_models to stop them overridng my changes. What must I do to make nameplates come back?

~0004803

taylor (administrator)

The missions have to be changed to use texture replacement to swap one ship texture for a new one. In this case it swaps the texture where a blank nameplate is for a texture with a custom name on it. In the mission I mentioned it has this for the Vindicator for instance:

$Texture Replace:
+old: capital01-05a
+new: NTDVindicator

Where this block is with that ship object in the mission file, "capital01-05a" is the original texture name and "NTDVindicator" is the new texture to use in it's place.

If you want to modify the retail missions (which we then won't accept bug reports on btw) then your best best is just to make a note of what all you changed and recreate those changes on the modified missions from the MediaVPs. You could just go through the missions in the MediaVPs to pick out every ship with a custom nameplate and add that to your other missions but that could be more tedious.

~0004804

thesource2 (reporter)

I've just replaced texture on Vindicator like you said and nameplate returned!
By the way, can fred (scp I mean) show relaced textures? It would be really nice if it can, because it will be much easier to place nameplates then.

~0004809

taylor (administrator)

FRED2 should show the replaced nameplates just fine and it does set them too so you don't actually have to hand edit all of the missions.

~0004820

WMCoolmon (developer)

So...put taylor's nameplates into the next MediaVP release and call this fixed?

~0004824

thesource2 (reporter)

I think so. Other problems I can fix myself with fred.
Don't forget to include taylors nameplates.dds into future version of mVP.

~0004829

thesource2 (reporter)

All right, I've got all nameplates back. This bug is resolved I suppose.

~0005639

WMCoolmon (developer)

I don't think taylor's nameplate.dds file was included in the latest set - it wasn't in the updates thread. Is this causing this bug to reappear?

~0005644

ARSPR (reporter)

No, at least in my PC this issue is not present even without Taylor's dds. But I don't know if you can consider it fixed (I mean if now the code doesn't insert strange colours when scaling up the actual nameplate.dds, or if it is just luck).

~0005645

thesource2 (reporter)

Just ZeroMemory texture if image file is not found or could not be read.

~0005646

taylor (administrator)

Last edited: 2006-05-27 04:14

Probably just luck. I did make some changes (with the envmap commit) that may help with this sort of thing, but I seriously doubt that would actually fix it. The safest thing is just to use the corrected texture.

@thesource2: If the image file can't be found or read then it's just not used, no reason to deal with it after that. But when it renders wrong is only when the image *is* found, and then only when it's upscaled too much to fit the geometry.

edited on: 05-27-06 04:14

~0005649

ARSPR (reporter)

Last edited: 2006-05-27 07:50

Note that there's a nameplate.dss in mv_models.vp but it's the old one that caused the trouble before.

If you're not sure about this issue been solved BY SOFTWARE not BY CORRECTED DDS, I would tell DaBrain to include Taylor's one in next Zeta-post-zeta vp distribution. I'm re-installing the old patch dds just in case. :)

edited on: 05-27-06 07:50

~0005788

WMCoolmon (developer)

Da_Brain's very first assigned bug :P

Fix seems relatively straightforward.

~0008767

Da_Brain (developer)

Unless it does appear again for someone, I'll mark this as resolved.

No complaints from MediaVP 3.6.10 Beta users about this.
+Notes

-Issue History
Date Modified Username Field Change
2006-01-13 07:46 thesource2 New Issue
2006-01-13 09:01 taylor Note Added: 0004229
2006-01-13 09:44 thesource2 Note Added: 0004230
2006-01-13 09:59 thesource2 Note Added: 0004231
2006-01-13 10:17 taylor Note Added: 0004236
2006-01-13 10:45 thesource2 File Added: fs.log
2006-01-13 10:59 thesource2 File Added: screen0000.rar
2006-01-13 11:00 thesource2 Note Added: 0004237
2006-01-13 12:23 kasperl Note Added: 0004241
2006-01-13 14:13 taylor Note Added: 0004249
2006-01-13 14:13 taylor Status new => assigned
2006-01-13 14:13 taylor Assigned To => taylor
2006-01-14 05:02 taylor Note Added: 0004275
2006-01-14 05:03 taylor File Added: nameplate.dds
2006-01-14 05:34 thesource2 Note Added: 0004277
2006-01-14 06:50 taylor Note Added: 0004279
2006-01-14 06:50 taylor Assigned To taylor => WMCoolmon
2006-01-14 06:50 taylor Category graphics => mediaVP
2006-01-15 08:47 kasperl Note Added: 0004294
2006-01-15 13:20 WMCoolmon Note Added: 0004298
2006-01-15 13:25 thesource2 Note Added: 0004299
2006-01-16 02:02 WMCoolmon Note Added: 0004302
2006-01-16 10:01 thesource2 Note Added: 0004316
2006-01-16 10:57 kasperl Note Added: 0004317
2006-01-16 16:08 thesource2 Note Added: 0004321
2006-01-17 11:52 WMCoolmon Note Added: 0004347
2006-02-06 23:48 WMCoolmon Note Added: 0004679
2006-02-06 23:48 WMCoolmon Status assigned => feedback
2006-02-07 05:12 ARSPR Note Added: 0004683
2006-02-07 05:13 ARSPR Note Edited: 0004683
2006-02-07 10:05 ARSPR Note Added: 0004685
2006-02-07 10:06 ARSPR File Added: screenshots.rar
2006-02-07 10:12 ARSPR Note Edited: 0004685
2006-02-16 12:31 thesource2 Note Added: 0004766
2006-02-16 12:41 taylor Note Added: 0004767
2006-02-18 06:36 thesource2 Note Added: 0004797
2006-02-18 12:18 taylor Note Added: 0004799
2006-02-18 12:28 thesource2 Note Added: 0004800
2006-02-18 13:06 taylor Note Added: 0004801
2006-02-18 13:16 thesource2 Note Added: 0004802
2006-02-18 13:25 taylor Note Added: 0004803
2006-02-18 13:43 thesource2 Note Added: 0004804
2006-02-18 14:45 taylor Note Added: 0004809
2006-02-18 20:08 WMCoolmon Note Added: 0004820
2006-02-18 23:33 thesource2 Note Added: 0004824
2006-02-19 02:07 thesource2 Note Added: 0004829
2006-05-27 02:42 WMCoolmon Note Added: 0005639
2006-05-27 04:08 ARSPR Note Added: 0005644
2006-05-27 04:11 thesource2 Note Added: 0005645
2006-05-27 04:11 taylor Note Added: 0005646
2006-05-27 04:14 taylor Note Edited: 0005646
2006-05-27 07:48 ARSPR Note Added: 0005649
2006-05-27 07:50 ARSPR Note Edited: 0005649
2006-06-07 00:23 WMCoolmon Note Added: 0005788
2006-06-07 00:23 WMCoolmon Assigned To WMCoolmon => Da_Brain
2008-01-02 12:30 Da_Brain Status feedback => resolved
2008-01-02 12:30 Da_Brain Fixed in Version => 3.6.10
2008-01-02 12:30 Da_Brain Resolution open => fixed
2008-01-02 12:30 Da_Brain Note Added: 0008767
+Issue History